Subject: [rtcweb] Problems with Security Descriptions in RTCWEB

From: "Dan Wing" <[email-masked]>
Date: Tue, 18 Dec 2012 22:47:34 -0800

I just published a summary of the problems specific to RTCWEB if Security
Descriptions is part of the RTCWEB architecture (that is, if voice calls can
use Security Descriptions to key SRTP).  

The two major problems with Security Descriptions in RTCWEB described in the
document are 
  (a) passive listening by SIP signaling entities whenever a Security
Description call leg is added (two party calls or three party calls), and
  (b) impossible to prove remote user's identity.

Draft is here,
  http://tools.ietf.org/html/draft-wing-rtcweb-sdes-problems
Comments welcome.

-d